Package org.jboss.resteasy.specimpl

## Class ResteasyHttpHeaders

- java.lang.Object
- - org.jboss.resteasy.specimpl.ResteasyHttpHeaders

- All Implemented Interfaces:
    `javax.ws.rs.core.HttpHeaders`

      public class ResteasyHttpHeaders
      extends Object
      implements javax.ws.rs.core.HttpHeaders

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    - ### Fields inherited from interface javax.ws.rs.core.HttpHeaders

      `ACCEPT, ACCEPT_CHARSET, ACCEPT_ENCODING, ACCEPT_LANGUAGE, ALLOW, AUTHORIZATION, CACHE_CONTROL, CONTENT_DISPOSITION, CONTENT_ENCODING, CONTENT_ID, CONTENT_LANGUAGE, CONTENT_LENGTH, CONTENT_LOCATION, CONTENT_TYPE, COOKIE, DATE, ETAG, EXPIRES, HOST, IF_MATCH, IF_MODIFIED_SINCE, IF_NONE_MATCH, IF_UNMODIFIED_SINCE, LAST_EVENT_ID_HEADER, LAST_MODIFIED, LINK, LOCATION, RETRY_AFTER, SET_COOKIE, USER_AGENT, VARY, WWW_AUTHENTICATE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ResteasyHttpHeaders​(javax.ws.rs.core.MultivaluedMap<String,​String> requestHeaders)` |
    `ResteasyHttpHeaders​(javax.ws.rs.core.MultivaluedMap<String,​String> requestHeaders, boolean eagerlyInitializeEntrySet)` |
    `ResteasyHttpHeaders​(javax.ws.rs.core.MultivaluedMap<String,​String> requestHeaders, Map<String,​javax.ws.rs.core.Cookie> cookies)` |
    `ResteasyHttpHeaders​(javax.ws.rs.core.MultivaluedMap<String,​String> requestHeaders, Map<String,​javax.ws.rs.core.Cookie> cookies, boolean eagerlyInitializeEntrySet)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<Locale>` | `getAcceptableLanguages()` |
    `List<javax.ws.rs.core.MediaType>` | `getAcceptableMediaTypes()` |
    `Map<String,​javax.ws.rs.core.Cookie>` | `getCookies()` |
    `Date` | `getDate()` |
    `String` | `getHeaderString​(String name)` |
    `Locale` | `getLanguage()` |
    `int` | `getLength()` |
    `javax.ws.rs.core.MediaType` | `getMediaType()` |
    `Map<String,​javax.ws.rs.core.Cookie>` | `getMutableCookies()` |
    `javax.ws.rs.core.MultivaluedMap<String,​String>` | `getMutableHeaders()` |
    `List<String>` | `getRequestHeader​(String name)` |
    `javax.ws.rs.core.MultivaluedMap<String,​String>` | `getRequestHeaders()` |
    `void` | `setCookies​(Map<String,​javax.ws.rs.core.Cookie> cookies)` |
    `void` | `testParsing()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResteasyHttpHeaders

          public ResteasyHttpHeaders​(javax.ws.rs.core.MultivaluedMap<String,​String> requestHeaders)

    - #### ResteasyHttpHeaders

          public ResteasyHttpHeaders​(javax.ws.rs.core.MultivaluedMap<String,​String> requestHeaders,
                                     boolean eagerlyInitializeEntrySet)

    - #### ResteasyHttpHeaders

          public ResteasyHttpHeaders​(javax.ws.rs.core.MultivaluedMap<String,​String> requestHeaders,
                                     Map<String,​javax.ws.rs.core.Cookie> cookies)

    - #### ResteasyHttpHeaders

          public ResteasyHttpHeaders​(javax.ws.rs.core.MultivaluedMap<String,​String> requestHeaders,
                                     Map<String,​javax.ws.rs.core.Cookie> cookies,
                                     boolean eagerlyInitializeEntrySet)

  - ### Method Detail

    - #### getRequestHeaders

          public javax.ws.rs.core.MultivaluedMap<String,​String> getRequestHeaders()

      Specified by:
        `getRequestHeaders` in interface `javax.ws.rs.core.HttpHeaders`

    - #### getMutableHeaders

          public javax.ws.rs.core.MultivaluedMap<String,​String> getMutableHeaders()

    - #### testParsing

          public void testParsing()

    - #### getRequestHeader

          public List<String> getRequestHeader​(String name)

      Specified by:
        `getRequestHeader` in interface `javax.ws.rs.core.HttpHeaders`

    - #### getCookies

          public Map<String,​javax.ws.rs.core.Cookie> getCookies()

      Specified by:
        `getCookies` in interface `javax.ws.rs.core.HttpHeaders`

    - #### getMutableCookies

          public Map<String,​javax.ws.rs.core.Cookie> getMutableCookies()

    - #### setCookies

          public void setCookies​(Map<String,​javax.ws.rs.core.Cookie> cookies)

    - #### getDate

          public Date getDate()

      Specified by:
        `getDate` in interface `javax.ws.rs.core.HttpHeaders`

    - #### getHeaderString

          public String getHeaderString​(String name)

      Specified by:
        `getHeaderString` in interface `javax.ws.rs.core.HttpHeaders`

    - #### getLanguage

          public Locale getLanguage()

      Specified by:
        `getLanguage` in interface `javax.ws.rs.core.HttpHeaders`

    - #### getLength

          public int getLength()

      Specified by:
        `getLength` in interface `javax.ws.rs.core.HttpHeaders`

    - #### getMediaType

          public javax.ws.rs.core.MediaType getMediaType()

      Specified by:
        `getMediaType` in interface `javax.ws.rs.core.HttpHeaders`

    - #### getAcceptableMediaTypes

          public List<javax.ws.rs.core.MediaType> getAcceptableMediaTypes()

      Specified by:
        `getAcceptableMediaTypes` in interface `javax.ws.rs.core.HttpHeaders`

    - #### getAcceptableLanguages

          public List<Locale> getAcceptableLanguages()

      Specified by:
        `getAcceptableLanguages` in interface `javax.ws.rs.core.HttpHeaders`